Subject: Re: [Ltru] LANGUAGE SUBTAG MODIFICATION REQUEST - zxx

From: "Doug Ewell" <[email-masked]>
Date: Sat, 3 May 2008 13:09:48 -0600

Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote, in 
a thread that started on ietf-languages:

>> I am keeping that in mind, but unfortunately I am also looking at 
>> draft-4646bis, Section 4.1 (4)(4), which -- despite the "out of 
>> scope" statement above -- goes on to recommend the use of 'zxx' for 
>> "programming source code."
> ...
>
> If that text is being mis-read as a recommendation, we need to change 
> it.  To me the text in question is clearly just a list of possible 
> examples, with no normative force.  After its sole normative sentence, 
> the paragraph continues with "Some examples might include".

If we're going to state on page 5 that programming languages are out of 
scope, then we ought not to include a paragraph of "examples" 42 pages 
later, no matter how informative, that show how to tag programming 
source code.

The existence of "zxx" does complicate the original notion that only 
demonstrably linguistic content is within the scope of language tagging. 
I don't know how to solve the larger problem, but I suggest deleting all 
references to programming source code in 4.1 (4)(4), to resolve at least 
that part of the problem that has given rise to misunderstanding.

--
Doug Ewell  *  Arvada, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Debbie Garside" <[email-masked]>
Date: Sun, 4 May 2008 07:48:04 +0100

Doug wrote:

> The existence of "zxx" does complicate the original notion
> that only demonstrably linguistic content is within the scope
> of language tagging.
> I don't know how to solve the larger problem, but I suggest
> deleting all references to programming source code in 4.1
> (4)(4), to resolve at least that part of the problem that has
> given rise to misunderstanding.

I think this is a very good idea in particular because ISO 639 explicitly
says that it does not code programming languages and zxx is an ISO 639 code.

Best

Debbie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Doug Ewell
> Sent: 03 May 2008 20:10
> To: LTRU Working Group
> Subject: Re: [Ltru] LANGUAGE SUBTAG MODIFICATION REQUEST - zxx
>
> Randy Presuhn <randy underscore presuhn at mindspring dot
> com> wrote, in a thread that started on ietf-languages:
>
> If we're going to state on page 5 that programming languages
> are out of scope, then we ought not to include a paragraph of
> "examples" 42 pages later, no matter how informative, that
> show how to tag programming source code.
>
> The existence of "zxx" does complicate the original notion
> that only demonstrably linguistic content is within the scope
> of language tagging.
> I don't know how to solve the larger problem, but I suggest
> deleting all references to programming source code in 4.1
> (4)(4), to resolve at least that part of the problem that has
> given rise to misunderstanding.
>
> --
> http://www.alvestrand.no/mailman/listinfo/ietf-languages  ^
>

---

From: "Mark Davis" <[email-masked]>
Date: Sun, 4 May 2008 10:20:44 -0700

What we mean by saying that we don't do programming languages is that we
won't accept registrations for "java", "perl", "python", etc.

What we are doing here is different. We have a having a special tag for
"non-applicable", and happen to give as examples programming language
snippets. It makes it clear that *if* you have to (as we say) give such
snippets a tag, then zxx is the right one to use, and not one of the other
special tags.

Mark

-- 
Mark

---

From: "Doug Ewell" <[email-masked]>
Date: Sun, 4 May 2008 12:00:00 -0600

Mark Davis wrote:

> What we mean by saying that we don't do programming languages is that 
> we won't accept registrations for "java", "perl", "python", etc.
>
> What we are doing here is different. We have a having a special tag 
> for "non-applicable", and happen to give as examples programming 
> language snippets. It makes it clear that if you have to (as we say) 
> give such snippets a tag, then zxx is the right one to use, and not 
> one of the other special tags.

OK, I'll back off on this one.  I just hated to see digressions like the 
one CE Whitehead seemed to be engaging in, using language-tagging 
features to classify programming language content.  To me that is a 
misuse of language tags, as per Section 2.